Subject: Re: [netlmm] The way forward as discussed during the WG meeting

From: Julien Laganier <[email-masked]>
Date: Tue, 3 Jun 2008 14:45:35 +0200

Folks,

I support adding this work item to our charter. It is a requirement in 
3GPP that a PMIPv6 entity be able to detect the crash of their peer 
PMIPv6 entity, otherwise they can't recover.

--julien

On Wednesday 21 May 2008, Vijay Devarapalli wrote:
> Hello Jonne, Vidya,
>
> I would like to propose the following to be added to the new
> NETLMM charter.
>
> Path Management and Failure Detection for PMIPv6
> ------------------------------------------------
> If the LMA crashes or if there is a communication problem on the
> path between the MAG and the LMA, the MAG discovers this only when
> it sends the next proxy Binding Update and gets no response from
> the LMA. If a MAG becomes unreachable, the LMA can detect it only
> when it starts receiving ICMP unreachable messages from an
> intermediate router in response to data traffic the LMA tunnels to
> the MAG. For some deployments of Proxy Mobile IPv6 (for example
> 3GPP), it is desirable to detect the LMA or the MAG reachability
> failure quickly, so that appropriate action can be taken. For this
> we need some sort of heartbeat mechanism between the MAG and the
> LMA. One such mechanism is described in
> http://www.ietf.org/internet-drafts/draft-devarapalli-netlmm-pmipv6-h
>eartbeat-01.txt
>
> People willing to work on this
> ------------------------------
> - Vijay Devarapalli
> - Suresh Krishnan
>
> Regards,
> Vijay
>
> Soininen Jonne (NSN FI/Espoo) wrote:
> > Hello everybody,
> >
> > Now that the IETF week is over, I think it is time to recap the
> > meeting outcome related to the rechartering of our beloved working
> > group.
> >
> > The consensus of the meeting was to concentrate on the work for the
> > next twelve months. We discussed in the meeting, which would be the
> > work items we would think should be done first.
> >
> > The meeting was able to identify the following:
> >
> >  * GRE Keying
> >  * PMIP6/MIP6 interactions
> >  * AAA - Diameter & Radius
> >  * LMA discovery
> >
> > We'll have to see what is the right place to do the AAA work. It is
> > either in netlmm or in the relative AAA working group (Dime or
> > Radex).
> >
> > LMA discovery on the other hand is something that might be either
> > solved in AAA or specific separate procedure.
> >
> > We couldn't find consensus on other work items, yet. Main reason
> > was the lack of clarity of the work needed. Thus, if we want to do
> > one or two items in addition to the now agreed work, we have to
> > understand what the work is, and its importance.
> >
> > Thus, we discussed that the right way of identifying other work
> > items, we would need to have a paragraph or two describing the
> > work, and listing the people that would be interested to work on
> > the topic. I would like to ask the people that are interested to
> > add work on the charter to
> >
> > 1) Describe the topic with a paragraph or two (what is needed, not
> > the solution itself)
> > 2) Who would be the people who would be able and interested to
> > invest to the work.
> >
> > I have to remind everybody that time is of essence in deciding the
> > new charter. Our dear AD said that we should move quickly here.
> > Thus, if you think additional work is needed, please, write the
> > description quickly and list the people that would work on the
> > topic.
> >
> > Notice that the people who are listed as interested in additional
> > topics will also commit to further the other work in the charter
> > through contribution and review.
> >
> > The consensus of the working group is tested on the mailing list.
> > Thus, the described way forward should be considered as a proposal.
> > However, if somebody would think this way forward is not the
> > correct one, I would expect those individuals to justify their
> > objections quite carefully.
> >
> > I hope this helps.
> >
> > Cheers,
> >
> > Jonne.
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm